#version 460 core

out vec4 FragColor;
out vec4 BrightColor;

uniform sampler2D texture_diffuse0;
uniform sampler2D texture_specular0;
uniform sampler2D texture_normal0;

uniform float factorLight;

//FragPos
in vec3 crntPos;
// Imports the normal from the Vertex Shader
in vec3 Normal;
// Imports the texture coordinates from the Vertex Shader
//TexCoords
in vec2 texCoord;

void main()
{
	vec3 finalColour = vec3(texture(texture_diffuse0, texCoord) * factorLight);

	FragColor = vec4(vec3(finalColour), 1.0);

	float brightness = dot(finalColour, vec3(0.2126, 0.7152, 0.0722));

	if (brightness > 1.0) {
		BrightColor = vec4(finalColour, 1.0);
	}
	else {
		BrightColor = vec4(0.0, 0.0, 0.0, 1.0);
	}
}
