#version 460 core

layout (location = 0) in vec3 aPos;

out vec4 particleColor;

uniform mat4 view;
uniform mat4 projection;
uniform vec3 particleCenter_worldspace;
uniform vec4 color;
uniform float billboardSize;


void main() {
	vec3 CameraRight_worldspace = vec3(view[0][0], view[1][0], view[2][0]);
	vec3 CameraUp_worldspace = vec3(view[0][1], view[1][1], view[2][1]);

	vec3 vertexPosition_worldspace = particleCenter_worldspace + CameraRight_worldspace * aPos.x * billboardSize
		+ CameraUp_worldspace * aPos.y * billboardSize;

	particleColor = color;

	gl_Position = projection * view * vec4(vertexPosition_worldspace, 1.0f);
}